# Bulk delete groups Permanently removes groups from an organization (members are not deleted, only the group). Endpoint: POST /scim/v2/Groups/delete Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key to ensure that a POST or PATCH request is idempotent. Do not use this header for other request types. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data. Note that only the following MIME types support gzipped responses: - application/json - application/xml - text/html - text/csv - text/plain - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids-Single` (string) ## Request fields (application/json): - `schemas` (array, required) - `operations` (array, required) - `operations.op` (string) Enum: "add", "remove", "replace" - `operations.path` (string) - `operations.value` (array) ## Response 200 fields (application/json): - `schemas` (array) List of schema identifiers that define the structure of the response. Example: ["urn:ietf:params:scim:api:messages:2.0:ListResponse"] - `id` (string,null) - `externalId` (string,null) An external identifier for the resource, often used for integration with external systems. - `meta` (object,null) Metadata about the group resource. - `meta.resourceType` (string) Type of resource, which is 'Group' for this object. Example: "Group" - `meta.location` (string) - `totalResults` (integer) Total number of groups returned in the response. Example: 2 - `resources` (array) List of group resources included in the response. - `resources.schemas` (array) List of schema identifiers that define the format of the group resource. Example: ["urn:ietf:params:scim:schemas:core:2.0:Group","urn:zuora:scim:schemas:1.0:GroupExtension"] - `resources.id` (string) Unique identifier for the group. Example: "5aa8a1fe-4ed4-44db-a6ae-78645a20ae21" - `resources.displayName` (string) Name of the group. Example: "test_group_1" - `resources.urn:zuora:scim:schemas:1.0:GroupExtension` (object) Custom attributes for the group defined by the extension schema. - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) Additional description for the group. - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) Identifier for the organization associated with the group. Example: "ec141dc2-901e-4813-a25d-ef480cff1e26" - `resources.urn:zuora:scim:schemas:1.0:GroupExtension.active` (boolean) Indicates whether the group is active. Example: true - `startIndex` (integer) - `itemsPerPage` (integer) ## Response 401 fields (application/json): - `success` (boolean) Indicates whether the request was successful (false in this case). - `reasons` (array) List of reasons for the unauthorized error. - `reasons.message` (string) Message explaining why the request is unauthorized. Example: "Unauthorized" - `reasons.code` (string) Error code representing the unauthorized access issue. Example: "90000011" ## Response 403 fields (application/json): - `timestamp` (string) The time at which the error occurred. Example: "2023-07-28T10:47:07.931+00:00" - `status` (integer) HTTP status code indicating that the request is forbidden. Example: 403 - `error` (string) Type of error indicating that access is forbidden. Example: "Forbidden" - `message` (string) Description of why the request is forbidden. Example: "Admin access denied" - `path` (string) Endpoint path where the forbidden error occurred. Example: "/scim/v2/Groups/delete" ## Response 404 fields (application/json): - `schemas` (array) List of schema identifiers that define the structure of the error response. Example: ["urn:ietf:params:scim:api:messages:2.0:Error"] - `status` (string) HTTP status code indicating that the resource was not found. Example: "404" - `detail` (string) Description of the error detailing why the resource was not found. Example: "Resource not found" ## Response 201 fields